package sampleejbproject;

import java.util.Properties;

import javax.naming.InitialContext;
import javax.naming.NamingException;

public class MyBeanClient {

	public static void main(String[] args) {
		try {
			Properties p = new Properties();
			p.put("java.naming.factory.initial", "org.apache.openejb.client.RemoteInitialContextFactory");
			p.put("java.naming.provider.url", "http://localhost:8080/tomee/ejb");

			InitialContext ctx = new InitialContext(p);
			IMyBean bean = (IMyBean) ctx.lookup("MyBeanRemote");
			bean.doSomething();
		} catch (NamingException e) {
			e.printStackTrace();
		}
	}
}
